Skip to content

Zip Files

POST
/api/v1/files/zip
curl --request POST \
--url https://aura.strangeworks.com/api/v1/files/zip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "deployment_name": "example", "path": "example", "project_id": "example", "snapshot_id": "example", "source": "deployment" }'
Media typeapplication/json
FileZipRequest
object
deployment_name
Any of:
string
path
Any of:
string
project_id
Any of:
string
snapshot_id
Any of:
string
source
required
Source
string
Allowed values: deployment workspace snapshot

Successful Response

Media typeapplication/json
DownloadUrlResponse
object
url
required
Url
string
Examplegenerated
{
"url": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}